#############################################################################
##  CUBE        http://www.scalasca.org                                    ##
#############################################################################
##  Copyright (c) 2015-2020                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
#############################################################################

CUBEGUI_CONFIG = cubegui-config
CUBELIB_CONFIG = cubelib-config
QMAKE_CXXFLAGS_DEBUG    += 
QMAKE_CXXFLAGS_RELEASE += $$QMAKE_CXXFLAGS_DEBUG

INCLUDEPATH    += \
                  ../src/gui \
                  ../src/datalib \
                  ../src/qcustomplot 
                  

unix:INCLUDEPATH    += $$system($$CUBEGUI_CONFIG --include) $$system($$CUBELIB_CONFIG --include) 
win32:INCLUDEPATH   +=  "C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/include/cubegui" \
                        "C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/include/cubelib"
				   				   				   				   
unix:LIBS      +=  $$system($$CUBEGUI_CONFIG --ldflags) $$system($$CUBEGUI_CONFIG --libs)\
                   $$system($$CUBELIB_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --libs)
win32:LIBS     +=  -L"C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install/lib" -lcube -lcube4gui
                   
                   
                   


TEMPLATE        = lib release
CONFIG         += qt plugin release
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets concurrent core printsupport

HEADERS         = \
                ../src/datalib/CubeDataExtract.h\
                ../src/gui/JengaFettPlugin.h\
                ../src/gui/JengaFettPluginWidget.h\
                ../src/gui/JengaFettToolBar.h\
                ../src/qcustomplot/qcustomplot.h
	
SOURCES         = \
                ../src/datalib/CubeDataExtract.cpp\
                ../src/gui/JengaFettPlugin.cpp\
                ../src/gui/JengaFettPluginWidget.cpp\
                ../src/gui/JengaFettToolBar.cpp\
                ../src/qcustomplot/qcustomplot.cpp
	

RESOURCES       = \
                ../resources/jengafettres.qrc 
    
TARGET          = $$qtLibraryTarget(jengafettplugin)
    
